Skip to main content
PATCH
Update an intent

Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Path Parameters

uuid
string<uuid>
required
intentUuid
string<uuid>
required

Body

application/json
name
string
required
Example:

"Book Appointment"

key
string | null

Auto-generated from name when omitted (e.g. 'book_appointment')

description
string | null

When this intent should trigger

recommendation_actions
string | null
confidence_threshold
number<float>
Example:

0.7

intent_llm_handle_by_response
boolean
webhook
object
parameters
object[]

Response

Intent updated

success
boolean

Indicates whether the request completed successfully. True for successful responses; false for documented error responses.

data
object